/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* gui.h Header file for gui information */


#ifndef GUI_H
#define GUI_H

#include <gtk/gtk.h>
#include "timing.h"


typedef struct {
  GtkWidget *window;
  GtkWidget *label_1;
  GtkWidget *label0;
  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *pbar;
  GString *label_1_text;
  GString *label0_text;
  GString *label1_text;
  GString *label2_text;
  gint day, dayf;
  gint hour, hourf;
  gint min, minf;
  gdouble sec, secf;
  /*  gint sec, secf;  */
  time_t start_sec, total_sec;
  gdouble dt;
  gint iter;
  gint msg;
  GString *message;
  timing *TT;
} timewindow;

extern timewindow *TW;

int gui_start();

#endif /* GUI_H */
